;; $Id: dbinfo.dsl,v 1.3 2003/01/15 08:24:23 adicarlo Exp $
;;
;; This file is part of the Modular DocBook Stylesheet distribution.
;; See ../README or http://docbook.sourceforge.net/projects/dsssl/
;;

;; ................................ INFO ................................

;; Rather than make the *INFO containers empty-sosofos, we make them
;; process-children and then make all of the elements they may contain
;; empty in this context.  The advantage here is that we can then
;; more easily override some of them in stylesheets that use this one.

(element setinfo (empty-sosofo))

(element (setinfo abbrev) (empty-sosofo))
(element (setinfo abstract) (empty-sosofo))
(element (setinfo address) (empty-sosofo))
(element (setinfo affiliation) (empty-sosofo))
(element (setinfo artpagenums) (empty-sosofo))
(element (setinfo author) (empty-sosofo))
(element (setinfo authorblurb) (empty-sosofo))
(element (setinfo authorgroup) (empty-sosofo))
(element (setinfo authorinitials) (empty-sosofo))
(element (setinfo bibliomisc) (empty-sosofo))
(element (setinfo biblioset) (empty-sosofo))
(element (setinfo collab) (empty-sosofo))
(element (setinfo confgroup) (empty-sosofo))
(element (setinfo contractnum) (empty-sosofo))
(element (setinfo contractsponsor) (empty-sosofo))
(element (setinfo contrib) (empty-sosofo))
(element (setinfo copyright) (empty-sosofo))
(element (setinfo corpauthor) (empty-sosofo))
(element (setinfo corpname) (empty-sosofo))
(element (setinfo date) (empty-sosofo))
(element (setinfo edition) (empty-sosofo))
(element (setinfo editor) (empty-sosofo))
(element (setinfo firstname) (empty-sosofo))
(element (setinfo graphic) (empty-sosofo))
(element (setinfo honorific) (empty-sosofo))
(element (setinfo invpartnumber) (empty-sosofo))
(element (setinfo isbn) (empty-sosofo))
(element (setinfo issn) (empty-sosofo))
(element (setinfo issuenum) (empty-sosofo))
(element (setinfo itermset) (empty-sosofo))
(element (setinfo keywordset) (empty-sosofo))
(element (setinfo legalnotice) (empty-sosofo))
(element (setinfo lineage) (empty-sosofo))
(element (setinfo modespec) (empty-sosofo))
(element (setinfo orgname) (empty-sosofo))
(element (setinfo othercredit) (empty-sosofo))
(element (setinfo othername) (empty-sosofo))
(element (setinfo pagenums) (empty-sosofo))
(element (setinfo printhistory) (empty-sosofo))
(element (setinfo productname) (empty-sosofo))
(element (setinfo productnumber) (empty-sosofo))
(element (setinfo pubdate) (empty-sosofo))
(element (setinfo publisher) (empty-sosofo))
(element (setinfo publishername) (empty-sosofo))
(element (setinfo pubsnumber) (empty-sosofo))
(element (setinfo releaseinfo) (empty-sosofo))
(element (setinfo revhistory) (empty-sosofo))
(element (setinfo seriesvolnums) (empty-sosofo))
(element (setinfo subjectset) (empty-sosofo))
(element (setinfo subtitle) (empty-sosofo))
(element (setinfo surname) (empty-sosofo))
(element (setinfo title) (empty-sosofo))
(element (setinfo titleabbrev) (empty-sosofo))
(element (setinfo volumenum) (empty-sosofo))

;; BookInfo is handled differently in dbdivis.dsl by using a
;; special mode...

(element bookinfo (empty-sosofo))

(element (bookinfo abbrev) (process-children))
(element (bookinfo abstract) (process-children))
(element (bookinfo address) (process-children))
(element (bookinfo affiliation) (process-children))
(element (bookinfo artpagenums) (process-children))
(element (bookinfo author) (process-children))
(element (bookinfo authorblurb) (process-children))
(element (bookinfo authorgroup) (process-children))
(element (bookinfo authorinitials) (process-children))
(element (bookinfo bibliomisc) (process-children))
(element (bookinfo biblioset) (process-children))
(element (bookinfo bookbiblio) (process-children))
(element (bookinfo collab) (process-children))
(element (bookinfo confgroup) (process-children))
(element (bookinfo contractnum) (process-children))
(element (bookinfo contractsponsor) (process-children))
(element (bookinfo contrib) (process-children))
;; (element (bookinfo copyright) (process-children)) ;; the default is good
(element (bookinfo corpauthor) (process-children))
(element (bookinfo corpname) (process-children))
(element (bookinfo date) (process-children))
(element (bookinfo edition) (process-children))
(element (bookinfo editor) (process-children))
(element (bookinfo firstname) (process-children))
(element (bookinfo graphic) (process-children))
(element (bookinfo honorific) (process-children))
(element (bookinfo invpartnumber) (process-children))
(element (bookinfo isbn) (process-children))
(element (bookinfo issn) (process-children))
(element (bookinfo issuenum) (process-children))
(element (bookinfo itermset) (process-children))
(element (bookinfo keywordset) (process-children))
(element (bookinfo legalnotice) ($semiformal-object$))
(element (bookinfo lineage) (process-children))
(element (bookinfo modespec) (process-children))
(element (bookinfo orgname) (process-children))
(element (bookinfo othercredit) (process-children))
(element (bookinfo othername) (process-children))
(element (bookinfo pagenums) (process-children))
(element (bookinfo printhistory) (process-children))
(element (bookinfo productname) (process-children))
(element (bookinfo productnumber) (process-children))
(element (bookinfo pubdate) (process-children))
(element (bookinfo publisher) (process-children))
(element (bookinfo publishername) (process-children))
(element (bookinfo pubsnumber) (process-children))
(element (bookinfo releaseinfo) (process-children))
(element (bookinfo revhistory) ($book-revhistory$))
(element (bookinfo seriesvolnums) (process-children))
(element (bookinfo subjectset) (process-children))
(element (bookinfo subtitle) (process-children))
(element (bookinfo surname) (process-children))
(element (bookinfo title) (process-children))
(element (bookinfo titleabbrev) (process-children))
(element (bookinfo volumenum) (process-children))

(element docinfo (empty-sosofo))

(element (docinfo abbrev) (empty-sosofo))
(element (docinfo abstract) (empty-sosofo))
(element (docinfo address) (empty-sosofo))
(element (docinfo affiliation) (empty-sosofo))
(element (docinfo artpagenums) (empty-sosofo))
(element (docinfo author) (empty-sosofo))
(element (docinfo authorblurb) (empty-sosofo))
(element (docinfo authorgroup) (empty-sosofo))
(element (docinfo authorinitials) (empty-sosofo))
(element (docinfo bibliomisc) (empty-sosofo))
(element (docinfo biblioset) (empty-sosofo))
(element (docinfo collab) (empty-sosofo))
(element (docinfo confgroup) (empty-sosofo))
(element (docinfo contractnum) (empty-sosofo))
(element (docinfo contractsponsor) (empty-sosofo))
(element (docinfo contrib) (empty-sosofo))
(element (docinfo copyright) (empty-sosofo))
(element (docinfo corpauthor) (empty-sosofo))
(element (docinfo corpname) (empty-sosofo))
(element (docinfo date) (empty-sosofo))
(element (docinfo edition) (empty-sosofo))
(element (docinfo editor) (empty-sosofo))
(element (docinfo firstname) (empty-sosofo))
(element (docinfo graphic) (empty-sosofo))
(element (docinfo honorific) (empty-sosofo))
(element (docinfo invpartnumber) (empty-sosofo))
(element (docinfo isbn) (empty-sosofo))
(element (docinfo issn) (empty-sosofo))
(element (docinfo issuenum) (empty-sosofo))
(element (docinfo itermset) (empty-sosofo))
(element (docinfo keywordset) (empty-sosofo))
(element (docinfo legalnotice) (empty-sosofo))
(element (docinfo lineage) (empty-sosofo))
(element (docinfo modespec) (empty-sosofo))
(element (docinfo orgname) (empty-sosofo))
(element (docinfo othercredit) (empty-sosofo))
(element (docinfo othername) (empty-sosofo))
(element (docinfo pagenums) (empty-sosofo))
(element (docinfo printhistory) (empty-sosofo))
(element (docinfo productname) (empty-sosofo))
(element (docinfo productnumber) (empty-sosofo))
(element (docinfo pubdate) (empty-sosofo))
(element (docinfo publisher) (empty-sosofo))
(element (docinfo publishername) (empty-sosofo))
(element (docinfo pubsnumber) (empty-sosofo))
(element (docinfo releaseinfo) (empty-sosofo))
(element (docinfo revhistory) (empty-sosofo))
(element (docinfo seriesvolnums) (empty-sosofo))
(element (docinfo subjectset) (empty-sosofo))
(element (docinfo subtitle) (empty-sosofo))
(element (docinfo surname) (empty-sosofo))
(element (docinfo title) (empty-sosofo))
(element (docinfo titleabbrev) (empty-sosofo))
(element (docinfo volumenum) (empty-sosofo))

(element sect1info (process-children))

(element (sect1info abbrev) (empty-sosofo))
(element (sect1info abstract) (empty-sosofo))
(element (sect1info address) (empty-sosofo))
(element (sect1info affiliation) (empty-sosofo))
(element (sect1info artpagenums) (empty-sosofo))
(element (sect1info author) (empty-sosofo))
(element (sect1info authorblurb) (empty-sosofo))
(element (sect1info authorgroup) (empty-sosofo))
(element (sect1info authorinitials) (empty-sosofo))
(element (sect1info bibliomisc) (empty-sosofo))
(element (sect1info biblioset) (empty-sosofo))
(element (sect1info collab) (empty-sosofo))
(element (sect1info confgroup) (empty-sosofo))
(element (sect1info contractnum) (empty-sosofo))
(element (sect1info contractsponsor) (empty-sosofo))
(element (sect1info contrib) (empty-sosofo))
(element (sect1info copyright) (empty-sosofo))
(element (sect1info corpauthor) (empty-sosofo))
(element (sect1info corpname) (empty-sosofo))
(element (sect1info date) (empty-sosofo))
(element (sect1info edition) (empty-sosofo))
(element (sect1info editor) (empty-sosofo))
(element (sect1info firstname) (empty-sosofo))
(element (sect1info graphic) (empty-sosofo))
(element (sect1info honorific) (empty-sosofo))
(element (sect1info invpartnumber) (empty-sosofo))
(element (sect1info isbn) (empty-sosofo))
(element (sect1info issn) (empty-sosofo))
(element (sect1info issuenum) (empty-sosofo))
(element (sect1info itermset) (empty-sosofo))
(element (sect1info keywordset) (empty-sosofo))
(element (sect1info legalnotice) (empty-sosofo))
(element (sect1info lineage) (empty-sosofo))
(element (sect1info modespec) (empty-sosofo))
(element (sect1info orgname) (empty-sosofo))
(element (sect1info othercredit) (empty-sosofo))
(element (sect1info othername) (empty-sosofo))
(element (sect1info pagenums) (empty-sosofo))
(element (sect1info printhistory) (empty-sosofo))
(element (sect1info productname) (empty-sosofo))
(element (sect1info productnumber) (empty-sosofo))
(element (sect1info pubdate) (empty-sosofo))
(element (sect1info publisher) (empty-sosofo))
(element (sect1info publishername) (empty-sosofo))
(element (sect1info pubsnumber) (empty-sosofo))
(element (sect1info releaseinfo) (empty-sosofo))
(element (sect1info revhistory) (empty-sosofo))
(element (sect1info seriesvolnums) (empty-sosofo))
(element (sect1info subjectset) (empty-sosofo))
(element (sect1info subtitle) (empty-sosofo))
(element (sect1info surname) (empty-sosofo))
(element (sect1info title) (empty-sosofo))
(element (sect1info titleabbrev) (empty-sosofo))
(element (sect1info volumenum) (empty-sosofo))

(element sect2info (process-children))

(element (sect2info abbrev) (empty-sosofo))
(element (sect2info abstract) (empty-sosofo))
(element (sect2info address) (empty-sosofo))
(element (sect2info affiliation) (empty-sosofo))
(element (sect2info artpagenums) (empty-sosofo))
(element (sect2info author) (empty-sosofo))
(element (sect2info authorblurb) (empty-sosofo))
(element (sect2info authorgroup) (empty-sosofo))
(element (sect2info authorinitials) (empty-sosofo))
(element (sect2info bibliomisc) (empty-sosofo))
(element (sect2info biblioset) (empty-sosofo))
(element (sect2info collab) (empty-sosofo))
(element (sect2info confgroup) (empty-sosofo))
(element (sect2info contractnum) (empty-sosofo))
(element (sect2info contractsponsor) (empty-sosofo))
(element (sect2info contrib) (empty-sosofo))
(element (sect2info copyright) (empty-sosofo))
(element (sect2info corpauthor) (empty-sosofo))
(element (sect2info corpname) (empty-sosofo))
(element (sect2info date) (empty-sosofo))
(element (sect2info edition) (empty-sosofo))
(element (sect2info editor) (empty-sosofo))
(element (sect2info firstname) (empty-sosofo))
(element (sect2info graphic) (empty-sosofo))
(element (sect2info honorific) (empty-sosofo))
(element (sect2info invpartnumber) (empty-sosofo))
(element (sect2info isbn) (empty-sosofo))
(element (sect2info issn) (empty-sosofo))
(element (sect2info issuenum) (empty-sosofo))
(element (sect2info itermset) (empty-sosofo))
(element (sect2info keywordset) (empty-sosofo))
(element (sect2info legalnotice) (empty-sosofo))
(element (sect2info lineage) (empty-sosofo))
(element (sect2info modespec) (empty-sosofo))
(element (sect2info orgname) (empty-sosofo))
(element (sect2info othercredit) (empty-sosofo))
(element (sect2info othername) (empty-sosofo))
(element (sect2info pagenums) (empty-sosofo))
(element (sect2info printhistory) (empty-sosofo))
(element (sect2info productname) (empty-sosofo))
(element (sect2info productnumber) (empty-sosofo))
(element (sect2info pubdate) (empty-sosofo))
(element (sect2info publisher) (empty-sosofo))
(element (sect2info publishername) (empty-sosofo))
(element (sect2info pubsnumber) (empty-sosofo))
(element (sect2info releaseinfo) (empty-sosofo))
(element (sect2info revhistory) (empty-sosofo))
(element (sect2info seriesvolnums) (empty-sosofo))
(element (sect2info subjectset) (empty-sosofo))
(element (sect2info subtitle) (empty-sosofo))
(element (sect2info surname) (empty-sosofo))
(element (sect2info title) (empty-sosofo))
(element (sect2info titleabbrev) (empty-sosofo))
(element (sect2info volumenum) (empty-sosofo))

(element sect3info (process-children))

(element (sect3info abbrev) (empty-sosofo))
(element (sect3info abstract) (empty-sosofo))
(element (sect3info address) (empty-sosofo))
(element (sect3info affiliation) (empty-sosofo))
(element (sect3info artpagenums) (empty-sosofo))
(element (sect3info author) (empty-sosofo))
(element (sect3info authorblurb) (empty-sosofo))
(element (sect3info authorgroup) (empty-sosofo))
(element (sect3info authorinitials) (empty-sosofo))
(element (sect3info bibliomisc) (empty-sosofo))
(element (sect3info biblioset) (empty-sosofo))
(element (sect3info collab) (empty-sosofo))
(element (sect3info confgroup) (empty-sosofo))
(element (sect3info contractnum) (empty-sosofo))
(element (sect3info contractsponsor) (empty-sosofo))
(element (sect3info contrib) (empty-sosofo))
(element (sect3info copyright) (empty-sosofo))
(element (sect3info corpauthor) (empty-sosofo))
(element (sect3info corpname) (empty-sosofo))
(element (sect3info date) (empty-sosofo))
(element (sect3info edition) (empty-sosofo))
(element (sect3info editor) (empty-sosofo))
(element (sect3info firstname) (empty-sosofo))
(element (sect3info graphic) (empty-sosofo))
(element (sect3info honorific) (empty-sosofo))
(element (sect3info invpartnumber) (empty-sosofo))
(element (sect3info isbn) (empty-sosofo))
(element (sect3info issn) (empty-sosofo))
(element (sect3info issuenum) (empty-sosofo))
(element (sect3info itermset) (empty-sosofo))
(element (sect3info keywordset) (empty-sosofo))
(element (sect3info legalnotice) (empty-sosofo))
(element (sect3info lineage) (empty-sosofo))
(element (sect3info modespec) (empty-sosofo))
(element (sect3info orgname) (empty-sosofo))
(element (sect3info othercredit) (empty-sosofo))
(element (sect3info othername) (empty-sosofo))
(element (sect3info pagenums) (empty-sosofo))
(element (sect3info printhistory) (empty-sosofo))
(element (sect3info productname) (empty-sosofo))
(element (sect3info productnumber) (empty-sosofo))
(element (sect3info pubdate) (empty-sosofo))
(element (sect3info publisher) (empty-sosofo))
(element (sect3info publishername) (empty-sosofo))
(element (sect3info pubsnumber) (empty-sosofo))
(element (sect3info releaseinfo) (empty-sosofo))
(element (sect3info revhistory) (empty-sosofo))
(element (sect3info seriesvolnums) (empty-sosofo))
(element (sect3info subjectset) (empty-sosofo))
(element (sect3info subtitle) (empty-sosofo))
(element (sect3info surname) (empty-sosofo))
(element (sect3info title) (empty-sosofo))
(element (sect3info titleabbrev) (empty-sosofo))
(element (sect3info volumenum) (empty-sosofo))

(element sect4info (process-children))

(element (sect4info abbrev) (empty-sosofo))
(element (sect4info abstract) (empty-sosofo))
(element (sect4info address) (empty-sosofo))
(element (sect4info affiliation) (empty-sosofo))
(element (sect4info artpagenums) (empty-sosofo))
(element (sect4info author) (empty-sosofo))
(element (sect4info authorblurb) (empty-sosofo))
(element (sect4info authorgroup) (empty-sosofo))
(element (sect4info authorinitials) (empty-sosofo))
(element (sect4info bibliomisc) (empty-sosofo))
(element (sect4info biblioset) (empty-sosofo))
(element (sect4info collab) (empty-sosofo))
(element (sect4info confgroup) (empty-sosofo))
(element (sect4info contractnum) (empty-sosofo))
(element (sect4info contractsponsor) (empty-sosofo))
(element (sect4info contrib) (empty-sosofo))
(element (sect4info copyright) (empty-sosofo))
(element (sect4info corpauthor) (empty-sosofo))
(element (sect4info corpname) (empty-sosofo))
(element (sect4info date) (empty-sosofo))
(element (sect4info edition) (empty-sosofo))
(element (sect4info editor) (empty-sosofo))
(element (sect4info firstname) (empty-sosofo))
(element (sect4info graphic) (empty-sosofo))
(element (sect4info honorific) (empty-sosofo))
(element (sect4info invpartnumber) (empty-sosofo))
(element (sect4info isbn) (empty-sosofo))
(element (sect4info issn) (empty-sosofo))
(element (sect4info issuenum) (empty-sosofo))
(element (sect4info itermset) (empty-sosofo))
(element (sect4info keywordset) (empty-sosofo))
(element (sect4info legalnotice) (empty-sosofo))
(element (sect4info lineage) (empty-sosofo))
(element (sect4info modespec) (empty-sosofo))
(element (sect4info orgname) (empty-sosofo))
(element (sect4info othercredit) (empty-sosofo))
(element (sect4info othername) (empty-sosofo))
(element (sect4info pagenums) (empty-sosofo))
(element (sect4info printhistory) (empty-sosofo))
(element (sect4info productname) (empty-sosofo))
(element (sect4info productnumber) (empty-sosofo))
(element (sect4info pubdate) (empty-sosofo))
(element (sect4info publisher) (empty-sosofo))
(element (sect4info publishername) (empty-sosofo))
(element (sect4info pubsnumber) (empty-sosofo))
(element (sect4info releaseinfo) (empty-sosofo))
(element (sect4info revhistory) (empty-sosofo))
(element (sect4info seriesvolnums) (empty-sosofo))
(element (sect4info subjectset) (empty-sosofo))
(element (sect4info subtitle) (empty-sosofo))
(element (sect4info surname) (empty-sosofo))
(element (sect4info title) (empty-sosofo))
(element (sect4info titleabbrev) (empty-sosofo))
(element (sect4info volumenum) (empty-sosofo))

(element sect5info (process-children))

(element (sect5info abbrev) (empty-sosofo))
(element (sect5info abstract) (empty-sosofo))
(element (sect5info address) (empty-sosofo))
(element (sect5info affiliation) (empty-sosofo))
(element (sect5info artpagenums) (empty-sosofo))
(element (sect5info author) (empty-sosofo))
(element (sect5info authorblurb) (empty-sosofo))
(element (sect5info authorgroup) (empty-sosofo))
(element (sect5info authorinitials) (empty-sosofo))
(element (sect5info bibliomisc) (empty-sosofo))
(element (sect5info biblioset) (empty-sosofo))
(element (sect5info collab) (empty-sosofo))
(element (sect5info confgroup) (empty-sosofo))
(element (sect5info contractnum) (empty-sosofo))
(element (sect5info contractsponsor) (empty-sosofo))
(element (sect5info contrib) (empty-sosofo))
(element (sect5info copyright) (empty-sosofo))
(element (sect5info corpauthor) (empty-sosofo))
(element (sect5info corpname) (empty-sosofo))
(element (sect5info date) (empty-sosofo))
(element (sect5info edition) (empty-sosofo))
(element (sect5info editor) (empty-sosofo))
(element (sect5info firstname) (empty-sosofo))
(element (sect5info graphic) (empty-sosofo))
(element (sect5info honorific) (empty-sosofo))
(element (sect5info invpartnumber) (empty-sosofo))
(element (sect5info isbn) (empty-sosofo))
(element (sect5info issn) (empty-sosofo))
(element (sect5info issuenum) (empty-sosofo))
(element (sect5info itermset) (empty-sosofo))
(element (sect5info keywordset) (empty-sosofo))
(element (sect5info legalnotice) (empty-sosofo))
(element (sect5info lineage) (empty-sosofo))
(element (sect5info modespec) (empty-sosofo))
(element (sect5info orgname) (empty-sosofo))
(element (sect5info othercredit) (empty-sosofo))
(element (sect5info othername) (empty-sosofo))
(element (sect5info pagenums) (empty-sosofo))
(element (sect5info printhistory) (empty-sosofo))
(element (sect5info productname) (empty-sosofo))
(element (sect5info productnumber) (empty-sosofo))
(element (sect5info pubdate) (empty-sosofo))
(element (sect5info publisher) (empty-sosofo))
(element (sect5info publishername) (empty-sosofo))
(element (sect5info pubsnumber) (empty-sosofo))
(element (sect5info releaseinfo) (empty-sosofo))
(element (sect5info revhistory) (empty-sosofo))
(element (sect5info seriesvolnums) (empty-sosofo))
(element (sect5info subjectset) (empty-sosofo))
(element (sect5info subtitle) (empty-sosofo))
(element (sect5info surname) (empty-sosofo))
(element (sect5info title) (empty-sosofo))
(element (sect5info titleabbrev) (empty-sosofo))
(element (sect5info volumenum) (empty-sosofo))

(element refsect1info (process-children))

(element (refsect1info abbrev) (empty-sosofo))
(element (refsect1info abstract) (empty-sosofo))
(element (refsect1info address) (empty-sosofo))
(element (refsect1info affiliation) (empty-sosofo))
(element (refsect1info artpagenums) (empty-sosofo))
(element (refsect1info author) (empty-sosofo))
(element (refsect1info authorblurb) (empty-sosofo))
(element (refsect1info authorgroup) (empty-sosofo))
(element (refsect1info authorinitials) (empty-sosofo))
(element (refsect1info bibliomisc) (empty-sosofo))
(element (refsect1info biblioset) (empty-sosofo))
(element (refsect1info collab) (empty-sosofo))
(element (refsect1info confgroup) (empty-sosofo))
(element (refsect1info contractnum) (empty-sosofo))
(element (refsect1info contractsponsor) (empty-sosofo))
(element (refsect1info contrib) (empty-sosofo))
(element (refsect1info copyright) (empty-sosofo))
(element (refsect1info corpauthor) (empty-sosofo))
(element (refsect1info corpname) (empty-sosofo))
(element (refsect1info date) (empty-sosofo))
(element (refsect1info edition) (empty-sosofo))
(element (refsect1info editor) (empty-sosofo))
(element (refsect1info firstname) (empty-sosofo))
(element (refsect1info graphic) (empty-sosofo))
(element (refsect1info honorific) (empty-sosofo))
(element (refsect1info invpartnumber) (empty-sosofo))
(element (refsect1info isbn) (empty-sosofo))
(element (refsect1info issn) (empty-sosofo))
(element (refsect1info issuenum) (empty-sosofo))
(element (refsect1info itermset) (empty-sosofo))
(element (refsect1info keywordset) (empty-sosofo))
(element (refsect1info legalnotice) (empty-sosofo))
(element (refsect1info lineage) (empty-sosofo))
(element (refsect1info modespec) (empty-sosofo))
(element (refsect1info orgname) (empty-sosofo))
(element (refsect1info othercredit) (empty-sosofo))
(element (refsect1info othername) (empty-sosofo))
(element (refsect1info pagenums) (empty-sosofo))
(element (refsect1info printhistory) (empty-sosofo))
(element (refsect1info productname) (empty-sosofo))
(element (refsect1info productnumber) (empty-sosofo))
(element (refsect1info pubdate) (empty-sosofo))
(element (refsect1info publisher) (empty-sosofo))
(element (refsect1info publishername) (empty-sosofo))
(element (refsect1info pubsnumber) (empty-sosofo))
(element (refsect1info releaseinfo) (empty-sosofo))
(element (refsect1info revhistory) (empty-sosofo))
(element (refsect1info seriesvolnums) (empty-sosofo))
(element (refsect1info subjectset) (empty-sosofo))
(element (refsect1info subtitle) (empty-sosofo))
(element (refsect1info surname) (empty-sosofo))
(element (refsect1info title) (empty-sosofo))
(element (refsect1info titleabbrev) (empty-sosofo))
(element (refsect1info volumenum) (empty-sosofo))

(element refsect2info (process-children))

(element (refsect2info abbrev) (empty-sosofo))
(element (refsect2info abstract) (empty-sosofo))
(element (refsect2info address) (empty-sosofo))
(element (refsect2info affiliation) (empty-sosofo))
(element (refsect2info artpagenums) (empty-sosofo))
(element (refsect2info author) (empty-sosofo))
(element (refsect2info authorblurb) (empty-sosofo))
(element (refsect2info authorgroup) (empty-sosofo))
(element (refsect2info authorinitials) (empty-sosofo))
(element (refsect2info bibliomisc) (empty-sosofo))
(element (refsect2info biblioset) (empty-sosofo))
(element (refsect2info collab) (empty-sosofo))
(element (refsect2info confgroup) (empty-sosofo))
(element (refsect2info contractnum) (empty-sosofo))
(element (refsect2info contractsponsor) (empty-sosofo))
(element (refsect2info contrib) (empty-sosofo))
(element (refsect2info copyright) (empty-sosofo))
(element (refsect2info corpauthor) (empty-sosofo))
(element (refsect2info corpname) (empty-sosofo))
(element (refsect2info date) (empty-sosofo))
(element (refsect2info edition) (empty-sosofo))
(element (refsect2info editor) (empty-sosofo))
(element (refsect2info firstname) (empty-sosofo))
(element (refsect2info graphic) (empty-sosofo))
(element (refsect2info honorific) (empty-sosofo))
(element (refsect2info invpartnumber) (empty-sosofo))
(element (refsect2info isbn) (empty-sosofo))
(element (refsect2info issn) (empty-sosofo))
(element (refsect2info issuenum) (empty-sosofo))
(element (refsect2info itermset) (empty-sosofo))
(element (refsect2info keywordset) (empty-sosofo))
(element (refsect2info legalnotice) (empty-sosofo))
(element (refsect2info lineage) (empty-sosofo))
(element (refsect2info modespec) (empty-sosofo))
(element (refsect2info orgname) (empty-sosofo))
(element (refsect2info othercredit) (empty-sosofo))
(element (refsect2info othername) (empty-sosofo))
(element (refsect2info pagenums) (empty-sosofo))
(element (refsect2info printhistory) (empty-sosofo))
(element (refsect2info productname) (empty-sosofo))
(element (refsect2info productnumber) (empty-sosofo))
(element (refsect2info pubdate) (empty-sosofo))
(element (refsect2info publisher) (empty-sosofo))
(element (refsect2info publishername) (empty-sosofo))
(element (refsect2info pubsnumber) (empty-sosofo))
(element (refsect2info releaseinfo) (empty-sosofo))
(element (refsect2info revhistory) (empty-sosofo))
(element (refsect2info seriesvolnums) (empty-sosofo))
(element (refsect2info subjectset) (empty-sosofo))
(element (refsect2info subtitle) (empty-sosofo))
(element (refsect2info surname) (empty-sosofo))
(element (refsect2info title) (empty-sosofo))
(element (refsect2info titleabbrev) (empty-sosofo))
(element (refsect2info volumenum) (empty-sosofo))

(element refsect3info (process-children))

(element (refsect3info abbrev) (empty-sosofo))
(element (refsect3info abstract) (empty-sosofo))
(element (refsect3info address) (empty-sosofo))
(element (refsect3info affiliation) (empty-sosofo))
(element (refsect3info artpagenums) (empty-sosofo))
(element (refsect3info author) (empty-sosofo))
(element (refsect3info authorblurb) (empty-sosofo))
(element (refsect3info authorgroup) (empty-sosofo))
(element (refsect3info authorinitials) (empty-sosofo))
(element (refsect3info bibliomisc) (empty-sosofo))
(element (refsect3info biblioset) (empty-sosofo))
(element (refsect3info collab) (empty-sosofo))
(element (refsect3info confgroup) (empty-sosofo))
(element (refsect3info contractnum) (empty-sosofo))
(element (refsect3info contractsponsor) (empty-sosofo))
(element (refsect3info contrib) (empty-sosofo))
(element (refsect3info copyright) (empty-sosofo))
(element (refsect3info corpauthor) (empty-sosofo))
(element (refsect3info corpname) (empty-sosofo))
(element (refsect3info date) (empty-sosofo))
(element (refsect3info edition) (empty-sosofo))
(element (refsect3info editor) (empty-sosofo))
(element (refsect3info firstname) (empty-sosofo))
(element (refsect3info graphic) (empty-sosofo))
(element (refsect3info honorific) (empty-sosofo))
(element (refsect3info invpartnumber) (empty-sosofo))
(element (refsect3info isbn) (empty-sosofo))
(element (refsect3info issn) (empty-sosofo))
(element (refsect3info issuenum) (empty-sosofo))
(element (refsect3info itermset) (empty-sosofo))
(element (refsect3info keywordset) (empty-sosofo))
(element (refsect3info legalnotice) (empty-sosofo))
(element (refsect3info lineage) (empty-sosofo))
(element (refsect3info modespec) (empty-sosofo))
(element (refsect3info orgname) (empty-sosofo))
(element (refsect3info othercredit) (empty-sosofo))
(element (refsect3info othername) (empty-sosofo))
(element (refsect3info pagenums) (empty-sosofo))
(element (refsect3info printhistory) (empty-sosofo))
(element (refsect3info productname) (empty-sosofo))
(element (refsect3info productnumber) (empty-sosofo))
(element (refsect3info pubdate) (empty-sosofo))
(element (refsect3info publisher) (empty-sosofo))
(element (refsect3info publishername) (empty-sosofo))
(element (refsect3info pubsnumber) (empty-sosofo))
(element (refsect3info releaseinfo) (empty-sosofo))
(element (refsect3info revhistory) (empty-sosofo))
(element (refsect3info seriesvolnums) (empty-sosofo))
(element (refsect3info subjectset) (empty-sosofo))
(element (refsect3info subtitle) (empty-sosofo))
(element (refsect3info surname) (empty-sosofo))
(element (refsect3info title) (empty-sosofo))
(element (refsect3info titleabbrev) (empty-sosofo))
(element (refsect3info volumenum) (empty-sosofo))

(element seriesinfo (process-children))

(element (seriesinfo abbrev) (empty-sosofo))
(element (seriesinfo abstract) (empty-sosofo))
(element (seriesinfo address) (empty-sosofo))
(element (seriesinfo affiliation) (empty-sosofo))
(element (seriesinfo artpagenums) (empty-sosofo))
(element (seriesinfo author) (empty-sosofo))
(element (seriesinfo authorblurb) (empty-sosofo))
(element (seriesinfo authorgroup) (empty-sosofo))
(element (seriesinfo authorinitials) (empty-sosofo))
(element (seriesinfo bibliomisc) (empty-sosofo))
(element (seriesinfo biblioset) (empty-sosofo))
(element (seriesinfo collab) (empty-sosofo))
(element (seriesinfo confgroup) (empty-sosofo))
(element (seriesinfo contractnum) (empty-sosofo))
(element (seriesinfo contractsponsor) (empty-sosofo))
(element (seriesinfo contrib) (empty-sosofo))
(element (seriesinfo copyright) (empty-sosofo))
(element (seriesinfo corpauthor) (empty-sosofo))
(element (seriesinfo corpname) (empty-sosofo))
(element (seriesinfo date) (empty-sosofo))
(element (seriesinfo edition) (empty-sosofo))
(element (seriesinfo editor) (empty-sosofo))
(element (seriesinfo firstname) (empty-sosofo))
(element (seriesinfo honorific) (empty-sosofo))
(element (seriesinfo invpartnumber) (empty-sosofo))
(element (seriesinfo isbn) (empty-sosofo))
(element (seriesinfo issn) (empty-sosofo))
(element (seriesinfo issuenum) (empty-sosofo))
(element (seriesinfo lineage) (empty-sosofo))
(element (seriesinfo orgname) (empty-sosofo))
(element (seriesinfo othercredit) (empty-sosofo))
(element (seriesinfo othername) (empty-sosofo))
(element (seriesinfo pagenums) (empty-sosofo))
(element (seriesinfo printhistory) (empty-sosofo))
(element (seriesinfo productname) (empty-sosofo))
(element (seriesinfo productnumber) (empty-sosofo))
(element (seriesinfo pubdate) (empty-sosofo))
(element (seriesinfo publisher) (empty-sosofo))
(element (seriesinfo publishername) (empty-sosofo))
(element (seriesinfo pubsnumber) (empty-sosofo))
(element (seriesinfo releaseinfo) (empty-sosofo))
(element (seriesinfo revhistory) (empty-sosofo))
(element (seriesinfo seriesvolnums) (empty-sosofo))
(element (seriesinfo subtitle) (empty-sosofo))
(element (seriesinfo surname) (empty-sosofo))
(element (seriesinfo title) (empty-sosofo))
(element (seriesinfo titleabbrev) (empty-sosofo))
(element (seriesinfo volumenum) (empty-sosofo))

(element artheader (empty-sosofo))

(element (artheader abbrev) (empty-sosofo))
(element (artheader abstract) (empty-sosofo))
(element (artheader address) (empty-sosofo))
(element (artheader affiliation) (empty-sosofo))
(element (artheader artpagenums) (empty-sosofo))
(element (artheader author) (empty-sosofo))
(element (artheader authorblurb) (empty-sosofo))
(element (artheader authorgroup) (empty-sosofo))
(element (artheader authorinitials) (empty-sosofo))
(element (artheader bibliomisc) (empty-sosofo))
(element (artheader biblioset) (empty-sosofo))
(element (artheader bookbiblio) (empty-sosofo))
(element (artheader collab) (empty-sosofo))
(element (artheader confgroup) (empty-sosofo))
(element (artheader contractnum) (empty-sosofo))
(element (artheader contractsponsor) (empty-sosofo))
(element (artheader contrib) (empty-sosofo))
(element (artheader copyright) (empty-sosofo))
(element (artheader corpauthor) (empty-sosofo))
(element (artheader corpname) (empty-sosofo))
(element (artheader date) (empty-sosofo))
(element (artheader edition) (empty-sosofo))
(element (artheader editor) (empty-sosofo))
(element (artheader firstname) (empty-sosofo))
(element (artheader honorific) (empty-sosofo))
(element (artheader invpartnumber) (empty-sosofo))
(element (artheader isbn) (empty-sosofo))
(element (artheader issn) (empty-sosofo))
(element (artheader issuenum) (empty-sosofo))
(element (artheader keywordset) (empty-sosofo))
(element (artheader lineage) (empty-sosofo))
(element (artheader orgname) (empty-sosofo))
(element (artheader othercredit) (empty-sosofo))
(element (artheader othername) (empty-sosofo))
(element (artheader pagenums) (empty-sosofo))
(element (artheader printhistory) (empty-sosofo))
(element (artheader productname) (empty-sosofo))
(element (artheader productnumber) (empty-sosofo))
(element (artheader pubdate) (empty-sosofo))
(element (artheader publisher) (empty-sosofo))
(element (artheader publishername) (empty-sosofo))
(element (artheader pubsnumber) (empty-sosofo))
(element (artheader releaseinfo) (empty-sosofo))
(element (artheader revhistory) (empty-sosofo))
(element (artheader seriesvolnums) (empty-sosofo))
(element (artheader subtitle) (empty-sosofo))
(element (artheader surname) (empty-sosofo))
(element (artheader title) (empty-sosofo))
(element (artheader titleabbrev) (empty-sosofo))
(element (artheader volumenum) (empty-sosofo))

(element articleinfo (empty-sosofo))

(element (articleinfo abbrev) (empty-sosofo))
(element (articleinfo abstract) (empty-sosofo))
(element (articleinfo address) (empty-sosofo))
(element (articleinfo affiliation) (empty-sosofo))
(element (articleinfo artpagenums) (empty-sosofo))
(element (articleinfo author) (empty-sosofo))
(element (articleinfo authorblurb) (empty-sosofo))
(element (articleinfo authorgroup) (empty-sosofo))
(element (articleinfo authorinitials) (empty-sosofo))
(element (articleinfo bibliomisc) (empty-sosofo))
(element (articleinfo biblioset) (empty-sosofo))
(element (articleinfo bookbiblio) (empty-sosofo))
(element (articleinfo collab) (empty-sosofo))
(element (articleinfo confgroup) (empty-sosofo))
(element (articleinfo contractnum) (empty-sosofo))
(element (articleinfo contractsponsor) (empty-sosofo))
(element (articleinfo contrib) (empty-sosofo))
(element (articleinfo copyright) (empty-sosofo))
(element (articleinfo corpauthor) (empty-sosofo))
(element (articleinfo corpname) (empty-sosofo))
(element (articleinfo date) (empty-sosofo))
(element (articleinfo edition) (empty-sosofo))
(element (articleinfo editor) (empty-sosofo))
(element (articleinfo firstname) (empty-sosofo))
(element (articleinfo honorific) (empty-sosofo))
(element (articleinfo invpartnumber) (empty-sosofo))
(element (articleinfo isbn) (empty-sosofo))
(element (articleinfo issn) (empty-sosofo))
(element (articleinfo issuenum) (empty-sosofo))
(element (articleinfo lineage) (empty-sosofo))
(element (articleinfo orgname) (empty-sosofo))
(element (articleinfo othercredit) (empty-sosofo))
(element (articleinfo othername) (empty-sosofo))
(element (articleinfo pagenums) (empty-sosofo))
(element (articleinfo printhistory) (empty-sosofo))
(element (articleinfo productname) (empty-sosofo))
(element (articleinfo productnumber) (empty-sosofo))
(element (articleinfo pubdate) (empty-sosofo))
(element (articleinfo publisher) (empty-sosofo))
(element (articleinfo publishername) (empty-sosofo))
(element (articleinfo pubsnumber) (empty-sosofo))
(element (articleinfo releaseinfo) (empty-sosofo))
(element (articleinfo revhistory) (empty-sosofo))
(element (articleinfo seriesvolnums) (empty-sosofo))
(element (articleinfo subtitle) (empty-sosofo))
(element (articleinfo surname) (empty-sosofo))
(element (articleinfo title) (empty-sosofo))
(element (articleinfo titleabbrev) (empty-sosofo))
(element (articleinfo volumenum) (empty-sosofo))

(element refsynopsisdivinfo (process-children))

(element (refsynopsisdivinfo graphic) (empty-sosofo))
(element (refsynopsisdivinfo legalnotice) (empty-sosofo))
(element (refsynopsisdivinfo modespec) (empty-sosofo))
(element (refsynopsisdivinfo subjectset) (empty-sosofo))
(element (refsynopsisdivinfo keywordset) (empty-sosofo))
(element (refsynopsisdivinfo itermset) (empty-sosofo))
(element (refsynopsisdivinfo abbrev) (empty-sosofo))
(element (refsynopsisdivinfo abstract) (empty-sosofo))
(element (refsynopsisdivinfo address) (empty-sosofo))
(element (refsynopsisdivinfo artpagenums) (empty-sosofo))
(element (refsynopsisdivinfo author) (empty-sosofo))
(element (refsynopsisdivinfo authorgroup) (empty-sosofo))
(element (refsynopsisdivinfo authorinitials) (empty-sosofo))
(element (refsynopsisdivinfo bibliomisc) (empty-sosofo))
(element (refsynopsisdivinfo biblioset) (empty-sosofo))
(element (refsynopsisdivinfo collab) (empty-sosofo))
(element (refsynopsisdivinfo confgroup) (empty-sosofo))
(element (refsynopsisdivinfo contractnum) (empty-sosofo))
(element (refsynopsisdivinfo contractsponsor) (empty-sosofo))
(element (refsynopsisdivinfo copyright) (empty-sosofo))
(element (refsynopsisdivinfo corpauthor) (empty-sosofo))
(element (refsynopsisdivinfo corpname) (empty-sosofo))
(element (refsynopsisdivinfo date) (empty-sosofo))
(element (refsynopsisdivinfo edition) (empty-sosofo))
(element (refsynopsisdivinfo editor) (empty-sosofo))
(element (refsynopsisdivinfo invpartnumber) (empty-sosofo))
(element (refsynopsisdivinfo isbn) (empty-sosofo))
(element (refsynopsisdivinfo issn) (empty-sosofo))
(element (refsynopsisdivinfo issuenum) (empty-sosofo))
(element (refsynopsisdivinfo orgname) (empty-sosofo))
(element (refsynopsisdivinfo othercredit) (empty-sosofo))
(element (refsynopsisdivinfo pagenums) (empty-sosofo))
(element (refsynopsisdivinfo printhistory) (empty-sosofo))
(element (refsynopsisdivinfo productname) (empty-sosofo))
(element (refsynopsisdivinfo productnumber) (empty-sosofo))
(element (refsynopsisdivinfo pubdate) (empty-sosofo))
(element (refsynopsisdivinfo publisher) (empty-sosofo))
(element (refsynopsisdivinfo publishername) (empty-sosofo))
(element (refsynopsisdivinfo pubsnumber) (empty-sosofo))
(element (refsynopsisdivinfo releaseinfo) (empty-sosofo))
(element (refsynopsisdivinfo revhistory) (empty-sosofo))
(element (refsynopsisdivinfo seriesvolnums) (empty-sosofo))
(element (refsynopsisdivinfo subtitle) (empty-sosofo))
(element (refsynopsisdivinfo title) (empty-sosofo))
(element (refsynopsisdivinfo titleabbrev) (empty-sosofo))
(element (refsynopsisdivinfo volumenum) (empty-sosofo))
(element (refsynopsisdivinfo honorific) (empty-sosofo))
(element (refsynopsisdivinfo firstname) (empty-sosofo))
(element (refsynopsisdivinfo surname) (empty-sosofo))
(element (refsynopsisdivinfo lineage) (empty-sosofo))
(element (refsynopsisdivinfo othername) (empty-sosofo))
(element (refsynopsisdivinfo affiliation) (empty-sosofo))
(element (refsynopsisdivinfo authorblurb) (empty-sosofo))
(element (refsynopsisdivinfo contrib) (empty-sosofo))

(element prefaceinfo (empty-sosofo))

(element (prefaceinfo abbrev) (empty-sosofo))
(element (prefaceinfo abstract) (empty-sosofo))
(element (prefaceinfo address) (empty-sosofo))
(element (prefaceinfo affiliation) (empty-sosofo))
(element (prefaceinfo artpagenums) (empty-sosofo))
(element (prefaceinfo author) (empty-sosofo))
(element (prefaceinfo authorblurb) (empty-sosofo))
(element (prefaceinfo authorgroup) (empty-sosofo))
(element (prefaceinfo authorinitials) (empty-sosofo))
(element (prefaceinfo bibliomisc) (empty-sosofo))
(element (prefaceinfo biblioset) (empty-sosofo))
(element (prefaceinfo bookbiblio) (empty-sosofo))
(element (prefaceinfo collab) (empty-sosofo))
(element (prefaceinfo confgroup) (empty-sosofo))
(element (prefaceinfo contractnum) (empty-sosofo))
(element (prefaceinfo contractsponsor) (empty-sosofo))
(element (prefaceinfo contrib) (empty-sosofo))
(element (prefaceinfo copyright) (empty-sosofo))
(element (prefaceinfo corpauthor) (empty-sosofo))
(element (prefaceinfo corpname) (empty-sosofo))
(element (prefaceinfo date) (empty-sosofo))
(element (prefaceinfo edition) (empty-sosofo))
(element (prefaceinfo editor) (empty-sosofo))
(element (prefaceinfo firstname) (empty-sosofo))
(element (prefaceinfo honorific) (empty-sosofo))
(element (prefaceinfo invpartnumber) (empty-sosofo))
(element (prefaceinfo isbn) (empty-sosofo))
(element (prefaceinfo issn) (empty-sosofo))
(element (prefaceinfo issuenum) (empty-sosofo))
(element (prefaceinfo lineage) (empty-sosofo))
(element (prefaceinfo orgname) (empty-sosofo))
(element (prefaceinfo othercredit) (empty-sosofo))
(element (prefaceinfo othername) (empty-sosofo))
(element (prefaceinfo pagenums) (empty-sosofo))
(element (prefaceinfo printhistory) (empty-sosofo))
(element (prefaceinfo productname) (empty-sosofo))
(element (prefaceinfo productnumber) (empty-sosofo))
(element (prefaceinfo pubdate) (empty-sosofo))
(element (prefaceinfo publisher) (empty-sosofo))
(element (prefaceinfo publishername) (empty-sosofo))
(element (prefaceinfo pubsnumber) (empty-sosofo))
(element (prefaceinfo releaseinfo) (empty-sosofo))
(element (prefaceinfo revhistory) (empty-sosofo))
(element (prefaceinfo seriesvolnums) (empty-sosofo))
(element (prefaceinfo subtitle) (empty-sosofo))
(element (prefaceinfo surname) (empty-sosofo))
(element (prefaceinfo title) (empty-sosofo))
(element (prefaceinfo titleabbrev) (empty-sosofo))
(element (prefaceinfo volumenum) (empty-sosofo))

(element chapterinfo (empty-sosofo))

(element (chapterinfo abbrev) (empty-sosofo))
(element (chapterinfo abstract) (empty-sosofo))
(element (chapterinfo address) (empty-sosofo))
(element (chapterinfo affiliation) (empty-sosofo))
(element (chapterinfo artpagenums) (empty-sosofo))
(element (chapterinfo author) (empty-sosofo))
(element (chapterinfo authorblurb) (empty-sosofo))
(element (chapterinfo authorgroup) (empty-sosofo))
(element (chapterinfo authorinitials) (empty-sosofo))
(element (chapterinfo bibliomisc) (empty-sosofo))
(element (chapterinfo biblioset) (empty-sosofo))
(element (chapterinfo bookbiblio) (empty-sosofo))
(element (chapterinfo collab) (empty-sosofo))
(element (chapterinfo confgroup) (empty-sosofo))
(element (chapterinfo contractnum) (empty-sosofo))
(element (chapterinfo contractsponsor) (empty-sosofo))
(element (chapterinfo contrib) (empty-sosofo))
(element (chapterinfo copyright) (empty-sosofo))
(element (chapterinfo corpauthor) (empty-sosofo))
(element (chapterinfo corpname) (empty-sosofo))
(element (chapterinfo date) (empty-sosofo))
(element (chapterinfo edition) (empty-sosofo))
(element (chapterinfo editor) (empty-sosofo))
(element (chapterinfo firstname) (empty-sosofo))
(element (chapterinfo honorific) (empty-sosofo))
(element (chapterinfo invpartnumber) (empty-sosofo))
(element (chapterinfo isbn) (empty-sosofo))
(element (chapterinfo issn) (empty-sosofo))
(element (chapterinfo issuenum) (empty-sosofo))
(element (chapterinfo lineage) (empty-sosofo))
(element (chapterinfo orgname) (empty-sosofo))
(element (chapterinfo othercredit) (empty-sosofo))
(element (chapterinfo othername) (empty-sosofo))
(element (chapterinfo pagenums) (empty-sosofo))
(element (chapterinfo printhistory) (empty-sosofo))
(element (chapterinfo productname) (empty-sosofo))
(element (chapterinfo productnumber) (empty-sosofo))
(element (chapterinfo pubdate) (empty-sosofo))
(element (chapterinfo publisher) (empty-sosofo))
(element (chapterinfo publishername) (empty-sosofo))
(element (chapterinfo pubsnumber) (empty-sosofo))
(element (chapterinfo releaseinfo) (empty-sosofo))
(element (chapterinfo revhistory) (empty-sosofo))
(element (chapterinfo seriesvolnums) (empty-sosofo))
(element (chapterinfo subtitle) (empty-sosofo))
(element (chapterinfo surname) (empty-sosofo))
(element (chapterinfo title) (empty-sosofo))
(element (chapterinfo titleabbrev) (empty-sosofo))
(element (chapterinfo volumenum) (empty-sosofo))

(element appendixinfo (empty-sosofo))

(element (appendixinfo abbrev) (empty-sosofo))
(element (appendixinfo abstract) (empty-sosofo))
(element (appendixinfo address) (empty-sosofo))
(element (appendixinfo affiliation) (empty-sosofo))
(element (appendixinfo artpagenums) (empty-sosofo))
(element (appendixinfo author) (empty-sosofo))
(element (appendixinfo authorblurb) (empty-sosofo))
(element (appendixinfo authorgroup) (empty-sosofo))
(element (appendixinfo authorinitials) (empty-sosofo))
(element (appendixinfo bibliomisc) (empty-sosofo))
(element (appendixinfo biblioset) (empty-sosofo))
(element (appendixinfo bookbiblio) (empty-sosofo))
(element (appendixinfo collab) (empty-sosofo))
(element (appendixinfo confgroup) (empty-sosofo))
(element (appendixinfo contractnum) (empty-sosofo))
(element (appendixinfo contractsponsor) (empty-sosofo))
(element (appendixinfo contrib) (empty-sosofo))
(element (appendixinfo copyright) (empty-sosofo))
(element (appendixinfo corpauthor) (empty-sosofo))
(element (appendixinfo corpname) (empty-sosofo))
(element (appendixinfo date) (empty-sosofo))
(element (appendixinfo edition) (empty-sosofo))
(element (appendixinfo editor) (empty-sosofo))
(element (appendixinfo firstname) (empty-sosofo))
(element (appendixinfo honorific) (empty-sosofo))
(element (appendixinfo invpartnumber) (empty-sosofo))
(element (appendixinfo isbn) (empty-sosofo))
(element (appendixinfo issn) (empty-sosofo))
(element (appendixinfo issuenum) (empty-sosofo))
(element (appendixinfo lineage) (empty-sosofo))
(element (appendixinfo orgname) (empty-sosofo))
(element (appendixinfo othercredit) (empty-sosofo))
(element (appendixinfo othername) (empty-sosofo))
(element (appendixinfo pagenums) (empty-sosofo))
(element (appendixinfo printhistory) (empty-sosofo))
(element (appendixinfo productname) (empty-sosofo))
(element (appendixinfo productnumber) (empty-sosofo))
(element (appendixinfo pubdate) (empty-sosofo))
(element (appendixinfo publisher) (empty-sosofo))
(element (appendixinfo publishername) (empty-sosofo))
(element (appendixinfo pubsnumber) (empty-sosofo))
(element (appendixinfo releaseinfo) (empty-sosofo))
(element (appendixinfo revhistory) (empty-sosofo))
(element (appendixinfo seriesvolnums) (empty-sosofo))
(element (appendixinfo subtitle) (empty-sosofo))
(element (appendixinfo surname) (empty-sosofo))
(element (appendixinfo title) (empty-sosofo))
(element (appendixinfo titleabbrev) (empty-sosofo))
(element (appendixinfo volumenum) (empty-sosofo))
